<!DOCTYPE html>

<html lang="en" data-content_root="../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>preampgain &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../../_static/alabaster.css?v=cb25574f" />
    <script src="../../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../../_static/doctools.js?v=888ff710"></script>
    <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="cellgain" href="cellgain.html" />
    <link rel="prev" title="noise" href="noise.html" />
   
  <link rel="stylesheet" href="../../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-cmos.preampgain.preampgain_acquisition">
<span id="preampgain"></span><h1>preampgain<a class="headerlink" href="#module-cmos.preampgain.preampgain_acquisition" title="Link to this heading">¶</a></h1>
<section id="preampgain-acquisition-module">
<h2>preampgain acquisition module<a class="headerlink" href="#preampgain-acquisition-module" title="Link to this heading">¶</a></h2>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Author</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Benoit Serra</p></td>
<td><p>preampgain</p></td>
<td><p>Mon Jun 17 15:29:35 2019</p></td>
</tr>
</tbody>
</table>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Contributor</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Name</p></td>
<td><p>filename</p></td>
<td><p>06/21/2019</p></td>
</tr>
</tbody>
</table>
<section id="preamp-gain">
<h3>Preamp gain<a class="headerlink" href="#preamp-gain" title="Link to this heading">¶</a></h3>
<p>The signal of the pixel (in Volts) pass through the cryogenic preamp board
with a gain different from unity.</p>
</section>
<section id="data-acquisition">
<h3>Data acquisition<a class="headerlink" href="#data-acquisition" title="Link to this heading">¶</a></h3>
<p>To measure the cell gain, the value of VReset for the pixel must be kept constant.
In order to ensure a constant VReset, the RESETEN clock low was set close to
its high value (3.1 V). This value is close enough to the high value of the other
rail, effectively forcing the Pixel Cell to be constantly reseted while reading.</p>
<p>Then the PreampRef voltage value has been sweeped from 1.6 to 2.3V.
DSub and VReset values stay the same.</p>
</section>
<section id="acquisition-block">
<h3>Acquisition block<a class="headerlink" href="#acquisition-block" title="Link to this heading">¶</a></h3>
</section>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="cmos.preampgain.preampgain_acquisition.module">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cmos.preampgain.preampgain_acquisition.</span></span><span class="sig-name descname"><span class="pre">module</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">module_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">yaml_dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#cmos.preampgain.preampgain_acquisition.module" title="Link to this definition">¶</a></dt>
<dd><p>Example class with documented types</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>None</strong> – analysis module initialize with the parameters from the yaml conf. file</p>
</dd>
<dt class="field-even">Return None<span class="colon">:</span></dt>
<dd class="field-even"><p>The return value. Nothing for now…</p>
</dd>
</dl>
</dd></dl>

<section id="preampgain-analysis-module">
<span id="module-cmos.preampgain.preampgain_analysis"></span><h2>preampgain analysis module<a class="headerlink" href="#preampgain-analysis-module" title="Link to this heading">¶</a></h2>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Author</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Benoit Serra</p></td>
<td><p>preamp gain</p></td>
<td><p>Mon Jun 17 15:29:35 2019</p></td>
</tr>
</tbody>
</table>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Contributor</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Domingo Alvarez</p></td>
<td><p>H4RG-Analysis_PreampGain.ipynb</p></td>
<td><p>06/21/2019</p></td>
</tr>
</tbody>
</table>
<p>This module can be found in pydecha/modules/preampgain/preampgain_analysis.py.
Please modify the docstrings accordingly to provide the users a simple and
detailed explanation of your algorithm for this module.</p>
<section id="computation">
<h3>Computation<a class="headerlink" href="#computation" title="Link to this heading">¶</a></h3>
<p>All the data extraction is done to a Pandas Dataframe. The extracted data is
the full image mean value as well as the telemetry value of the PreampRef
provided by NGC.</p>
</section>
<section id="plots">
<h3>Plots<a class="headerlink" href="#plots" title="Link to this heading">¶</a></h3>
<section id="linear-fit-to-the-data">
<h4>Linear fit to the data<a class="headerlink" href="#linear-fit-to-the-data" title="Link to this heading">¶</a></h4>
<p>The average value of the array versus the PreampRef value is then plotted.
Using Numpy and a polynomial fit of first order, the preamp gain and its offset
is obtained using the data extracted to the reduced_data dataframe.</p>
</section>
</section>
<section id="analysis-block">
<h3>Analysis block<a class="headerlink" href="#analysis-block" title="Link to this heading">¶</a></h3>
</section>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="cmos.preampgain.preampgain_analysis.module">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cmos.preampgain.preampgain_analysis.</span></span><span class="sig-name descname"><span class="pre">module</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">module_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">yaml_dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#cmos.preampgain.preampgain_analysis.module" title="Link to this definition">¶</a></dt>
<dd><p>Cell preamp gain analysis block</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>module_name</em>) – Name of the module as string.</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> (<em>yaml_dict</em>) – full dictionnary of the config file.</p></li>
</ul>
</dd>
<dt class="field-even">Return clean_output()<span class="colon">:</span></dt>
<dd class="field-even"><p>a cleaned dictionnary with the parameters saved</p>
</dd>
</dl>
<p>The preampgain analysis requires the following parameters in the
configuration file:</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>data_path</em>) – absolute path of where the data is.</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> (<em>fit</em>) – fit parameters [fit_start (int), fit_stop (int), fit_unit (str)]</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../modules_cmos.html">Modules CMOS</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="monitoring.html">monitoring</a></li>
<li class="toctree-l2"><a class="reference internal" href="noise.html">noise</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">preampgain</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#preampgain-acquisition-module">preampgain acquisition module</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#preamp-gain">Preamp gain</a></li>
<li class="toctree-l4"><a class="reference internal" href="#data-acquisition">Data acquisition</a></li>
<li class="toctree-l4"><a class="reference internal" href="#acquisition-block">Acquisition block</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#cmos.preampgain.preampgain_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#preampgain-analysis-module">preampgain analysis module</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#computation">Computation</a></li>
<li class="toctree-l4"><a class="reference internal" href="#plots">Plots</a><ul>
<li class="toctree-l5"><a class="reference internal" href="#linear-fit-to-the-data">Linear fit to the data</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#cmos.preampgain.preampgain_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="cellgain.html">cellgain</a></li>
<li class="toctree-l2"><a class="reference internal" href="gain.html">gain</a></li>
<li class="toctree-l2"><a class="reference internal" href="cosmetics.html">cosmetics</a></li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../index.html">Documentation overview</a><ul>
  <li><a href="../modules_cmos.html">Modules CMOS</a><ul>
      <li>Previous: <a href="noise.html" title="previous chapter">noise</a></li>
      <li>Next: <a href="cellgain.html" title="next chapter">cellgain</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../../_sources/modules/modules_cmos/preampgain.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>